package com.example.resource.clue.convert.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ：fxl
 * @date ：Created in 2023/6/13 14:43
 * @description：
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ReqHuoKeVo {

    /**
     * 投保人姓名
     */
    private String appName;

    /**
     *投保人身份证号
     */
    private String appIdno;

    /**
     * 投保人手机
     */
    private String appMobile;

    /**
     * 第三方保单id（生成11位随机数）
     */
    private String extId;

    /**
     * 产品编号
     */
    private String product;

    /**
     * 城市
     */
    private String city;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 出生日期
     */
    private String birthday;

    /**
     * 省份
     */
    private String province;

    /**
     * 月收入
     */
    @JSONField(name = "income_month")
    private String incomeMonth;

    /**
     * 工资发放形式
     */
    @JSONField(name = "wages_type")
    private String wagesType;

    /**
     * 借款
     */
    private String loan;

    /**
     * 房
     */
    private String room;

    /**
     * 车
     */
    private String car;

    /**
     * 社保
     */
    private String socialSecurity;

    /**
     * 公积金
     */
    private String accumulationFund;

    /**
     * 信用卡（如：有）
     */
    private String credit;

    /**
     * 人寿保单（如：有）
     */
    private String policy;

    /**
     * 微利贷
     */
    private String wld;

    /**
     * ip（如：111.19.95.204）
     */
    private String ip;

    /**
     * IP地址
     */
    private String ipAddress;

    /**
     *注册时间
     */
    @JSONField(name = "creat_time")
    private String creatTime;

    /**
     * 备用1
     */
    private String remark1;

    /**
     * 我方提供
     */
    private String remark2;

    /**
     * 备用3
     */
    private String remark3;

    /**
     * 备用4
     */
    private String remark4;

    /**
     * 备用5
     */
    private String remark5;

    /**
     * 名单类型
     */
    private String kstype;

    /**
     * userAgent
     */
    private String userAgent;



}
